Overview
GET
/document/blocks/{id}documentGet blocks by id
Fetch a record from blocks by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
blocks
- idstring
- documentIdstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- positionstring
- blockTypestring
- contentTextstring
- contentMetastring
- createdAtstring
- updatedAtstring
- isDeletedboolean
- syncVersioninteger
- lastOpIdstring?
Example
{
"id": "string",
"documentId": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"position": "string",
"blockType": "string",
"contentText": "string",
"contentMeta": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true,
"syncVersion": 0,
"lastOpId": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/document/blocks/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/document/blocks/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();